package com.eactive.eai.transformer.function;

import java.io.Serializable;

public class ParameterDefinition implements Serializable {

	private static final long serialVersionUID = 1L;

	private String name;
	private String functionName;
	private String description;
	private int typeId;
	private int seqNo;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getFunctionName() {
		return functionName;
	}

	public void setFunctionName(String functionName) {
		this.functionName = functionName;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public int getTypeId() {
		return typeId;
	}

	public void setTypeId(int typeId) {
		this.typeId = typeId;
	}

	public int getSeqNo() {
		return seqNo;
	}

	public void setSeqNo(int seqNo) {
		this.seqNo = seqNo;
	}

	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("ParameterDefinition[ name=").append(name);
		sb.append(", functionName=").append(functionName);
		sb.append(", description=").append(description);
		sb.append(", typeId=").append(typeId);
		sb.append(", seqNo=").append(seqNo);
		sb.append(" ]");
		return sb.toString();
	}
}
